Changelogs » Trufont

PyUp Safety actively tracks 266,461 Python packages for vulnerabilities and notifies you when to upgrade.

Trufont

0.6.6

Thee application title is now properly set on macOS (https://github.com/trufont/trufont/pull/720, thanks hskim08!)

0.6.5

Properly initialize the font size selection box in the metrics view for seamless arrow-key behavior (https://github.com/trufont/trufont/pull/719, thanks hskim08 !)

0.6.4

- Add a View -> Coodinates submenu for showing point and handle coordinates (693, thanks exer2k!)
  - Fix display of file types in open/import file dialog (710, thanks hartwork!)
  - Fixed fontTools-subdependencies (697, thanks anthrotype!)

0.6.3

Update ufo-extractor dependency so we can finally drop ufoLib and go fontTools 4.x. (https://github.com/trufont/trufont/issues/684)

0.6.2

- Added pinch to zoom for macOS (244). Thanks to hskim08.

0.6.1

- In the font info window, the minor version is now left-padded with zeros, as the number is usually used in OpenType fonts (issue 534).
  - In the font info window, the code page ranges from Thai to Korean Johab are now correctly read and written (issue 577).
  - Depend on fontTools with the lxml package for faster reading and writing of UFO files.

0.6.0.post3

This is a cumulative maintenance release that includes various changes since 23 Aug, 2016. The software is now installable again and Python 3.6+ is now the baseline requirement. I gave up trying to make a changelog.

0.6.0.post2

This is a cumulative maintenance release that includes various changes since 23 Aug, 2016. The software is now installable again and Python 3.6+ is now the baseline requirement. I gave up trying to make a changelog.

0.6.0.post1

This is a cumulative maintenance release that includes various changes since 23 Aug, 2016. The software is now installable again and Python 3.6+ is now the baseline requirement. I gave up trying to make a changelog.

0.6.0

This is a cumulative maintenance release that includes various changes since 23 Aug, 2016. The software is now installable again and Python 3.6+ is now the baseline requirement. I gave up trying to make a changelog.

0.5.0


        

0.4.0


        

0.3.0

Note: the OSX app package lacks remove overlap functionality – no static build could be produced yet.

0.2.0

Quite some feature refinements. Releasing before the new glyph view comes in.

0.1.0

The first public release of a project that began 5 months ago. Hope that it will work and you will like it.